/**
 *
 * @author BOGON
 * @version 1.0
 */

var page = {
    submitFlag: 0,
    save: function (call) {
        if (!$('#form').form("validate")) {
            return;
        }
        var formData = $("#form").serializeJson();
        $.ajax({
            type: "POST", //请求方式
            data: {ids: ids,deliveryDate: formData.deliveryDate,invoiceTime: formData.invoiceTime},
            url: g.ctx + "pc/contract/manage/rest/updateTime", //请求路径
            success: function (data) {
                layer.alert("修改成功", function () {
                    call();
                })
            },
            error: function (data) {
                layer.alert(data.responseJSON.message);
            }
        });
    },

    getData: function (call) {
        if (!$('#form').form("validate")) {
            return;
        }
        var formData = $("#form").serializeJson();
        call(formData.deductionRatio);
    }
}
$(function () {
    // $('#deliveryDate').datebox({
    //     value: moment().format('YYYY-MM-DD'),
    // });
    // $('#invoiceTime').datetimebox({
    //     value: moment().format('YYYY-MM-DD'),
    // });
})